## xca 0.8.1

=== Makefile ===
#
# Makefile for XCA
#
#####################################################################

TAG=RELEASE.$(TVERSION)
TARGET=xca-$(TVERSION)

export VERSION=$(shell cat $(TOPDIR)/VERSION )
export TOPDIR=$(shell pwd)

sinclude Local.mak

SUBDIRS=lib widgets img
OBJECTS=$(patsubst %, %/target.obj, $(SUBDIRS))
INSTDIR=misc lang doc img
CLEANDIRS=lang doc ui img
HDRDIRS=lib widgets ui

bindir=bin

all: headers xca$(SUFFIX) doc lang
	@echo -e "\n\n\nOk, compilation was successfull. \nNow do as root: 'make install'\n"

xca.o: $(OBJECTS)
	$(LD) $(LDFLAGS) $(OBJECTS) -r -o $@ $(SLIBS)

xca$(SUFFIX): xca.o
	$(CC) $(LDFLAGS) $(CFLAGS) $< $(LIBS) -o $@

doc: 
	$(MAKE) -C doc
lang: 
	$(MAKE) -C lang

headers:
	$(MAKE) -C ui $@

pheaders: headers
	for d in $(HDRDIRS); do $(MAKE) -C $$d pheaders; done

%/target.obj: headers
	$(MAKE) DEP=yes -C $* target.obj

clean:
	for x in $(SUBDIRS) $(CLEANDIRS); do $(MAKE) -C $${x} clean; done
	rm -f *~ xca$(SUFFIX) xca.o

distclean:
	for x in $(SUBDIRS) $(CLEANDIRS); do $(MAKE) -C $${x} distclean; done
	rm -f conftest conftest.log local.h Local.mak *~

dist:
	test ! -z "$(TVERSION)"
	git archive --format=tar --prefix=$(TARGET)/ $(TAG) | \
		gzip -9 > $(TARGET).tar.gz

snapshot:
	HASH=$$(git rev-parse HEAD) && \
	git archive --format=tar --prefix=xca-$${HASH}/ HEAD | \
		gzip -9 > xca-$${HASH}.tar.gz

install: xca$(SUFFIX)
	install -m 755 -d $(destdir)$(prefix)/$(bindir)
	install -m 755 xca $(destdir)$(prefix)/$(bindir)
	$(STRIP) $(destdir)$(prefix)/$(bindir)/xca
	for d in $(INSTDIR); do \
	  $(MAKE) -C $$d install; \
	done


setup.exe: xca$(SUFFIX) misc/xca.nsi doc lang
	$(MAKE) -C lang
	$(STRIP) xca$(SUFFIX)
	$(MAKENSIS) -DINSTALLDIR=$(INSTALL_DIR) -DQTDIR=$(QTDIR) \
		-DVERSION=$(VERSION) -DBDIR=$(BDIR) -NOCD -V2 misc/xca.nsi
	cp setup.exe setup_xca-$(VERSION).exe

.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang

doc lang headers: local.h

Local.mak local.h: configure
	./configure

=== doc/Makefile ===
ifeq ($(TOPDIR),)
TOPDIR=..
endif

DELFILES=xca*.html xca.1.gz

doc: xca.1.gz xca.html
include $(TOPDIR)/Rules.mak

mandir=man

xca.1.gz: xca.1
	gzip -9 <$^ >$@

xca.html: xca.sgml
	echo '<h1>No documentation generated</h1>' > $@
	$(LINUXDOC) -B html $<

install: xca.1.gz xca.html
	install -m 755 -d $(destdir)$(docdir) \
		$(destdir)$(prefix)/$(mandir)/man1
	install -m 644 xca*.html $(destdir)$(docdir)
	install xca.1.gz $(destdir)$(prefix)/$(mandir)/man1

app: xca.html
	mkdir -p $(APPDIR)/Resources
	install -m 644 xca*.html $(APPDIR)/Resources

=== img/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

include $(TOPDIR)/Local.mak

OBJS=imgres.o
ifeq ($(HOST),w32)
  OBJS += w32res.o
endif

DELFILES=imgres.cpp
all: target.obj
	echo $(OBJS)

install:
	install -D -m 644 key.xpm $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm

imgres.cpp: imgres.rcc
	$(RCC) -o $@ $<

imgres.rcc: bigcert.png bigcrl.png bigcsr.png bigkey.png bigtemp.png crl.png halfkey.png invalidcertkey.png invalidcert.png key.png netscape.png reqkey.png req.png revoked.png spki.png template.png validcertkey.png validcert.png scard.png
w32res.o: w32res.rc key.ico xca.ico xdb.ico
	$(WINDRES) $< $@

include $(TOPDIR)/Rules.mak

=== lang/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

QM_FILES=xca_de.qm xca_es.qm

%.qm: %.ts
	$(LRELEASE) $< -qm $@

all: $(QM_FILES)

install: $(QM_FILES)
	install -m 755 -d $(destdir)$(prefix)/share/xca
	install -m 644 $(QM_FILES) $(destdir)$(prefix)/share/xca

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(QM_FILES) $(APPDIR)/Resources

clean:
	$(RM) $(QM_FILES)

include $(TOPDIR)/Local.mak

=== lib/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base
NAMES=$(MOCNAMES) asn1int oid pki_pkcs7 x509rev asn1time \
	pki_temp x509v3ext pki_x509 func pki_crl pki_x509req \
	load_obj pki_key pki_x509super main pki_pkcs12 x509name db import \
	pki_multi pki_evp pki_scard pk11_attribute pki_base pkcs11


OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))
DELFILES=$(patsubst %,moc_%.cpp,$(MOCNAMES)) db_dump

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

db_dump: db_dump.cpp db.o db.h
	gcc $(CPPFLAGS) $(LDFLAGS) $(CFLAGS) db_dump.cpp db.o $(LIBS) -g -o $@

=== misc/Makefile ===

all:

install:
	install -m 755 -d $(destdir)$(prefix)/share/xca/ \
		$(destdir)$(prefix)/share/applications
	install -m 644 *.txt *.xca $(destdir)$(prefix)/share/xca
	install -m 644 xca.desktop $(destdir)$(prefix)/share/applications

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 Info.plist PkgInfo $(APPDIR)
	install -m 644 *.txt $(APPDIR)/Resources

include $(TOPDIR)/Local.mak

=== ui/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

UINAMES=$(patsubst %.ui, ui_%, $(wildcard *.ui))
UI_H=$(patsubst %, %.h, $(UINAMES))
DELFILES=$(UI_H)

include ../Rules.mak

headers: $(UI_H)

=== widgets/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

MOC_NAMES=MainWindow KeyDetail clicklabel XcaTreeView ExportKey NewX509 \
	validity v3ext ReqDetail distname CertDetail CertExtend ExportCert \
	ImportMulti CrlDetail ExportDer hashBox Options NewKey

NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))
DELFILES=$(patsubst %,moc_%.cpp,$(MOC_NAMES))

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

=== debian/changelog ===
xca (0.8.1-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: Work around strange ld error, fixes FTBFS.
  * debian/patches/ftbfs_binutils-gold.patch: Link against -lQtCore
    -lstdc++, fixes FTBFS with binutils-gold. (Closes: #605141)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 27 Nov 2010 20:09:40 +0100

xca (0.8.1-1) unstable; urgency=low

  * new upstream version 0.8.1
  * change source format to 3.0 (quilt)
  * add ${misc:Depends}, found by lintian
  * add 32x32 pixel sized menu icon, to please lintian
  * added patch to fix a manpage typo, found by lintian

 -- Tino Keitel <tino+debian@tikei.de>  Sun, 10 Jan 2010 22:17:39 +0100

xca (0.8.1-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control: Add ${misc:Depends} as per lintian
  * doc/xca.1: Correct misspelling spotted by lintian

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 12 Jan 2010 16:57:05 -0500

xca (0.8.0-1ubuntu1) lucid; urgency=low

  * debian/rules: Work around strange ld error, fixes FTBFS

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 01 Jan 2010 02:43:31 -0500

xca (0.8.0-1) unstable; urgency=low

  * new upstream version (Closes: #560509)
  * add libltdl-dev build-dep, required by xca 0.8.0
  * provide a directory for the documentation in the configure call
  * actually invoke the configure target
  * correctly declare the installation path
  * no need to install HTML documentation via dh_installdocs, make install
    does it
  * no need to remove misplaced HTML documentation anymore
  * use the generated Local.mak instead of a separate configure-stamp

 -- Tino Keitel <tino+debian@tikei.de>  Tue, 15 Dec 2009 23:01:45 +0100

xca (0.7.0-1) unstable; urgency=low

  * New upstream version

 -- Tino Keitel <tino+debian@tikei.de>  Mon, 14 Sep 2009 20:55:44 +0200

xca (0.6.4-35-g6c2d6a6-1) UNRELEASED; urgency=low

  * Initial release. (Closes: #519003)

 -- Tino Keitel <tino+debian@tikei.de>  Fri, 06 Mar 2009 20:58:46 +0100

=== debian/control ===
Source: xca
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tino Keitel <tino+debian@tikei.de>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev
Standards-Version: 3.8.3
Homepage: http://xca.sourceforge.net
Vcs-Git: http://git.hohnstaedt.de/xca.git

Package: xca
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: x509 Certification Authority management tool based on QT4
 XCA creates and manages Certificate authorities and helps the user to
 create and manage keys, certificates, certificate sign requests,
 certificate revocation lists etc.
 .
 All data is saved in an encrypted, portable database, and can be exported
 in various standard formats. XCA is also available for MacOS X and
 Windows systems.
 .
 For a good workflow, certificate templates can be defined to make the
 creation of new certificates an easy task.

=== debian/rules ===
#!/usr/bin/make -f

configure: Local.mak

Local.mak:
	dh_testdir
	LDFLAGS=-Bsymbolic-functions docdir=/usr/share/doc/xca prefix=/usr ./configure

build: build-stamp

build-stamp: Local.mak
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) destdir=$(CURDIR)/debian/xca/ install
	rm -rf $(CURDIR)/debian/xca/usr/man

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs AUTHORS VERSION
	dh_install
	dh_installmenu
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## xca 0.9.0

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,12 @@
 SUBDIRS=lib widgets img
 OBJECTS=$(patsubst %, %/target.obj, $(SUBDIRS))
 INSTDIR=misc lang doc img
-CLEANDIRS=lang doc ui img
+CLEANDIRS=lang doc ui img macdeployqt
 HDRDIRS=lib widgets ui
+
+ifneq ($(LDFLAGS),)
+GCCLDFLAGS="-Wl,`echo $(LDFLAGS) |sed 's/ /,/g'`"
+endif
 
 bindir=bin
 
@@ -26,7 +30,7 @@
 	$(LD) $(LDFLAGS) $(OBJECTS) -r -o $@ $(SLIBS)
 
 xca$(SUFFIX): xca.o
-	$(CC) $(LDFLAGS) $(CFLAGS) $< $(LIBS) -o $@
+	$(CC) $(CFLAGS) $(GCCLDFLAGS) $< $(LIBS) -o $@
 
 doc: 
 	$(MAKE) -C doc
@@ -44,7 +48,8 @@
 
 clean:
 	for x in $(SUBDIRS) $(CLEANDIRS); do $(MAKE) -C $${x} clean; done
-	rm -f *~ xca$(SUFFIX) xca.o
+	rm -f *~ xca$(SUFFIX) xca.o setup_xca*.exe
+	rm -rf dmgstage
 
 distclean:
 	for x in $(SUBDIRS) $(CLEANDIRS); do $(MAKE) -C $${x} distclean; done
@@ -68,15 +73,48 @@
 	  $(MAKE) -C $$d install; \
 	done
 
+macdeployqt/macdeployqt:
+	$(MAKE) -C macdeployqt
 
 setup.exe: xca$(SUFFIX) misc/xca.nsi doc lang
 	$(MAKE) -C lang
 	$(STRIP) xca$(SUFFIX)
 	$(MAKENSIS) -DINSTALLDIR=$(INSTALL_DIR) -DQTDIR=$(QTDIR) \
 		-DVERSION=$(VERSION) -DBDIR=$(BDIR) -NOCD -V2 misc/xca.nsi
-	cp setup.exe setup_xca-$(VERSION).exe
 
-.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang
+DMGSTAGE=xca-$(VERSION)
+
+xca.app: $(DMGSTAGE)
+
+$(DMGSTAGE): xca$(SUFFIX)
+	rm -rf $(DMGSTAGE)
+	mkdir -p $(DMGSTAGE)/xca.app/Contents/MacOS
+	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
+	mkdir -p $(DMGSTAGE)/manual
+	ln -s /Applications $(DMGSTAGE)
+	install -m 644 COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
+	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
+	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
+	for d in $(INSTDIR); do \
+          $(MAKE) -C $$d APPDIR=$(TOPDIR)/$(DMGSTAGE)/xca.app/Contents app; \
+        done
+	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
+	ln -s xca.html $(DMGSTAGE)/manual/index.html
+	SYSROOT=$(SYSROOT) OTOOL=$(OTOOL) NAME_TOOL=$(NAME_TOOL)\
+		 $(MACDEPLOYQT) $(DMGSTAGE)/xca.app
+	tar zcf $(DMGSTAGE)-SnowLeopard.tar.gz $(DMGSTAGE)
+
+xca.dmg: xca-$(VERSION)-SnowLeopard.dmg
+
+xca-$(VERSION)-SnowLeopard.dmg: $(DMGSTAGE)
+	hdiutil create -ov -srcfolder $< $@
+
+trans:
+	$(MAKE) -C lang po2ts
+	lupdate-qt4 $(TOPDIR)/xca.pro
+	$(MAKE) -C lang xca.pot
+
+.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt
 
 doc lang headers: local.h

=== doc/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	gzip -9 <$^ >$@
 
 xca.html: xca.sgml
+	rm -f xca*.html
 	echo '<h1>No documentation generated</h1>' > $@
 	$(LINUXDOC) -B html $<

=== img/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	echo $(OBJS)
 
 install:
-	install -D -m 644 key.xpm $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm
+	install -D -m 644 xca-32x32.xpm $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm
 
 imgres.cpp: imgres.rcc
 	$(RCC) -o $@ $<
@@ -24,4 +24,8 @@
 w32res.o: w32res.rc key.ico xca.ico xdb.ico
 	$(WINDRES) $< $@
 
+app:
+	mkdir -p $(APPDIR)/Resources
+	install -m 644 xca-mac-icon.icns $(APPDIR)/Resources
+
 include $(TOPDIR)/Rules.mak

=== lang/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

PO_LANGUAGES=es
LANGUAGES=de ru $(PO_LANGUAGES)
QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))

%.qm: %.ts
	$(LRELEASE) $< -qm $@

all: $(QM_XCA)

install: $(QM_XCA)
	install -m 755 -d $(destdir)$(prefix)/share/xca
	install -m 644 $(QM_XCA) $(destdir)$(prefix)/share/xca

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(QM_XCA) $(APPDIR)/Resources
	(cd $(SYSROOT)/Developer/Applications/Qt/translations && \
		install $(QM_QT) $(APPDIR)/Resources )


po2ts: $(TS_XCA)
xca_%.ts: %.po
	po2ts $< $@ || :
	#lconvert -i $< -of ts -o $@

xca.pot: xca.ts
	ts2po -P $< $@
	#lconvert -i $< -of po -o $@

clean:
	$(RM) $(QM_XCA)

include $(TOPDIR)/Local.mak

=== lib/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base db_token\
	pki_temp pki_x509 pki_crl pki_x509req pki_key pki_x509super pki_pkcs12 \
	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7
NAMES=$(MOCNAMES) asn1int oid x509rev asn1time \
	x509v3ext func load_obj main x509name db import \
	pk11_attribute pkcs11 pkcs11_lib


OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))
DELFILES=$(patsubst %,moc_%.cpp,$(MOCNAMES)) db_dump

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

db_dump: db_dump.cpp db.o db.h
	gcc $(CPPFLAGS) $(LDFLAGS) $(CFLAGS) db_dump.cpp db.o $(LIBS) -g -o $@

=== macdeployqt/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

all: macdeployqt

macdeployqt: Makefile.qt main.cpp shared.cpp shared.h
	$(MAKE) -f Makefile.qt

Makefile.qt: macdeployqt.pro
	$(QMAKE) -o $@ $<

clean:
	rm -f *.o Makefile.qt macdeployqt
distclean: clean

include $(TOPDIR)/Local.mak

=== misc/Makefile ===

all:

install:
	install -m 755 -d $(destdir)$(prefix)/share/xca/ \
		$(destdir)$(prefix)/share/applications \
		$(destdir)$(prefix)/share/mime/packages
	install -m 644 *.txt *.xca $(destdir)$(prefix)/share/xca
	install -m 644 xca.desktop $(destdir)$(prefix)/share/applications
	install -m 644 xca.xml $(destdir)$(prefix)/share/mime/packages

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 Info.plist PkgInfo $(APPDIR)
	install -m 644 *.txt *.xca $(APPDIR)/Resources

include $(TOPDIR)/Local.mak

=== widgets/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

MOC_NAMES=MainWindow KeyDetail clicklabel XcaTreeView ExportKey NewX509 \
	validity v3ext distname CertDetail CertExtend \
	ImportMulti CrlDetail ExportDialog hashBox Options NewKey kvView NewCrl

NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))
DELFILES=$(patsubst %,moc_%.cpp,$(MOC_NAMES))

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

=== debian/changelog ===
xca (0.9.0-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: Work around strange ld error, fixes FTBFS.
    - debian/patches/ftbfs_binutils-gold.patch: fixes FTBFS with binutils-gold.
  * debian/rules: clean conftest.c in clean target as the file gets wrongly
    generated by make distclean

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 23 Feb 2011 06:08:07 +0000

xca (0.9.0-1) unstable; urgency=low

  * new upstream version
  * bump standards version to 3.9.1
  * remove patches, they are included in the upstream source:
    - add_32x32_icon-0.8.1
    - manpage_typo-0.8.1

 -- Tino Keitel <tino+debian@tikei.de>  Thu, 30 Sep 2010 11:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Tino Keitel <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Homepage: http://xca.sourceforge.net
 Vcs-Git: http://git.hohnstaedt.de/xca.git

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh_testroot
 	rm -f build-stamp
 	$(MAKE) distclean
+	rm -f conftest.c
 	dh_clean 
 
 install: build

## xca 0.9.1~git7ffc768

=== Makefile ===
#
# Makefile for XCA
#
#####################################################################

TAG=RELEASE.$(TVERSION)
TARGET=xca-$(TVERSION)

export TOPDIR=$(shell pwd)
export VERSION=$(shell cat $(TOPDIR)/VERSION )
export BUILD=$(TOPDIR)/xca_build

ifneq ($(MAKECMDGOALS), distclean)
ifneq ($(MAKECMDGOALS), clean)
sinclude Local.mak
endif
endif

SUBDIRS=lib widgets img
OBJECTS=$(patsubst %, $(BUILD)/%/.build-stamp, $(SUBDIRS))
INSTDIR=misc lang doc img
INSTTARGET=$(patsubst %, install.%, $(INSTDIR))
APPTARGET=$(patsubst %, app.%, $(INSTDIR))

bindir=bin
DMGSTAGE=$(BUILD)/xca-$(VERSION)
MACTARGET=$(DMGSTAGE)-$(DARWIN)
APPDIR=$(DMGSTAGE)/xca.app/Contents

ifeq ($(SUFFIX), .exe)
all: setup$(SUFFIX)
else
ifneq ($(MACDEPLOYQT),)
all: $(MACTARGET).dmg
else
all: xca$(SUFFIX) do.doc do.lang
	@echo
	@echo "Ok, compilation was successful."
	@echo "Now do as root: 'make install'"
	@echo
endif
endif


xca$(SUFFIX): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(patsubst %,@%, $^) $(LIBS) -o $@

do.ui do.doc do.lang: do.%:
	mkdir -p $(BUILD)/$*
	$(MAKE) -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*

headers: do.ui

$(BUILD)/%/.build-stamp: headers
	mkdir -p $(BUILD)/$*
	$(MAKE) DEP=yes -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$*

$(INSTTARGET): install.%: $(BUILD)/%/.build-stamp
	mkdir -p $(BUILD)/$*
	$(MAKE) -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$* install

$(APPTARGET): app.%: $(BUILD)/%/.build-stamp
	mkdir -p $(BUILD)/$*
	$(MAKE) -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile \
		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app

clean:
	rm -rf $(BUILD)
	rm -f *~ xca$(SUFFIX) setup_xca*.exe $(MACTARGET).dmg $(MACTARGET).tar.gz
	rm -rf $(DMGSTAGE)

distclean: clean
	rm -f conftest conftest.log local.h Local.mak *~

dist:
	test ! -z "$(TVERSION)"
	git archive --format=tar --prefix=$(TARGET)/ $(TAG) | \
		gzip -9 > $(TARGET).tar.gz

snapshot:
	HASH=$$(git rev-parse HEAD) && \
	git archive --format=tar --prefix=xca-$${HASH}/ HEAD | \
		gzip -9 > xca-$${HASH}.tar.gz

install: xca$(SUFFIX) $(INSTTARGET)
	install -m 755 -d $(destdir)$(prefix)/$(bindir)
	install -m 755 xca $(destdir)$(prefix)/$(bindir)
	$(STRIP) $(destdir)$(prefix)/$(bindir)/xca

$(MACDEPLOYQT):

macdeployqt/macdeployqt:
	$(MAKE) -C macdeployqt

setup.exe: xca$(SUFFIX) misc/xca.nsi do.doc do.lang
	$(STRIP) xca$(SUFFIX)
	$(MAKENSIS) -DINSTALLDIR=$(INSTALL_DIR) -DQTDIR=$(QTDIR) \
		-DVERSION=$(VERSION) -DBDIR=$(BDIR) -DBUILD=$(BUILD) \
		-NOCD -V2 misc/xca.nsi

$(DMGSTAGE): xca$(SUFFIX) $(MACDEPLOYQT)
	rm -rf $(DMGSTAGE)
	mkdir -p $(DMGSTAGE)/xca.app/Contents/MacOS
	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
	mkdir -p $(DMGSTAGE)/manual
	ln -s /Applications $(DMGSTAGE)
	install -m 644 COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
	$(MAKE) $(APPTARGET)
	cp -r $(DMGSTAGE)/xca.app/Contents/Resources/*.html $(DMGSTAGE)/manual
	ln -s xca.html $(DMGSTAGE)/manual/index.html
	$(MACDEPLOYQT) $(DMGSTAGE)/xca.app
	tar zcf $(MACTARGET).tar.gz $(DMGSTAGE)

xca.dmg: $(MACTARGET).dmg

xca.app: $(DMGSTAGE)

$(MACTARGET).dmg: $(DMGSTAGE)
	hdiutil create -ov -srcfolder $< $@

trans:
	$(MAKE) -C lang po2ts
	lupdate-qt4 $(TOPDIR)/xca.pro
	$(MAKE) -C lang xca.pot

.PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE)

doc lang headers: local.h

Local.mak local.h: configure
	./configure

=== doc/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 xca.html: xca.sgml
 	rm -f xca*.html
 	echo '<h1>No documentation generated</h1>' > $@
+	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
 	$(LINUXDOC) -B html $<
 
 install: xca.1.gz xca.html

=== img/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

include $(TOPDIR)/Local.mak

OBJS=imgres.o
ifeq ($(HOST),w32)
  OBJS += w32res.o
endif

DELFILES=imgres.cpp

include $(TOPDIR)/Rules.mak

install: xca-32x32.xpm
	install -D -m 644 $^ $(destdir)$(prefix)/share/pixmaps/xca-32x32.xpm

imgres.cpp: imgres.rcc
	$(RCC) -o $@ $<

imgres.rcc: bigcert.png bigcrl.png bigcsr.png bigkey.png bigtemp.png crl.png halfkey.png invalidcertkey.png invalidcert.png key.png netscape.png reqkey.png req.png revoked.png spki.png template.png validcertkey.png validcert.png scard.png

w32res.o: w32res.rc key.ico xca.ico xdb.ico
	$(WINDRES) $< $@

app: xca-mac-icon.icns
	mkdir -p $(APPDIR)/Resources
	install -m 644 $^ $(APPDIR)/Resources

=== lang/Makefile ===
--- 
+++ 
@@ -3,16 +3,16 @@
 TOPDIR=..
 endif
 
-PO_LANGUAGES=es
+PO_LANGUAGES=es tr fr
 LANGUAGES=de ru $(PO_LANGUAGES)
 QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
 QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
 TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))
 
+lang all: $(QM_XCA)
+
 %.qm: %.ts
 	$(LRELEASE) $< -qm $@
-
-all: $(QM_XCA)
 
 install: $(QM_XCA)
 	install -m 755 -d $(destdir)$(prefix)/share/xca
@@ -27,7 +27,7 @@
 
 po2ts: $(TS_XCA)
 xca_%.ts: %.po
-	po2ts $< $@ || :
+	po2ts -i $< > $(@) # | \
 	#lconvert -i $< -of ts -o $@
 
 xca.pot: xca.ts

=== lib/Makefile ===
--- 
+++ 
@@ -8,11 +8,10 @@
 	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7
 NAMES=$(MOCNAMES) asn1int oid x509rev asn1time \
 	x509v3ext func load_obj main x509name db import \
-	pk11_attribute pkcs11 pkcs11_lib
+	pk11_attribute pkcs11 pkcs11_lib Passwd
 
 
 OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))
-DELFILES=$(patsubst %,moc_%.cpp,$(MOCNAMES)) db_dump
 
 include $(TOPDIR)/Rules.mak

=== misc/Makefile ===

SRCPATH=$(VPATH)/

all:

install:
	install -m 755 -d $(destdir)$(prefix)/share/xca/ \
		$(destdir)$(prefix)/share/applications \
		$(destdir)$(prefix)/share/mime/packages
	install -m 644 $(SRCPATH)*.txt $(SRCPATH)*.xca \
			$(destdir)$(prefix)/share/xca
	install -m 644 $(SRCPATH)xca.desktop $(destdir)$(prefix)/share/applications
	install -m 644 $(SRCPATH)xca.xml $(destdir)$(prefix)/share/mime/packages
	if test -z "$(destdir)"; then \
	  update-mime-database $(prefix)/share/mime || :; \
	  update-desktop-database || :; \
	fi

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(SRCPATH)Info.plist $(SRCPATH)PkgInfo $(APPDIR)
	install -m 644 $(SRCPATH)*.txt $(SRCPATH)*.xca $(APPDIR)/Resources

include $(TOPDIR)/Local.mak

=== ui/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

UI_H = ui_About.h ui_CaProperties.h ui_CertDetail.h ui_CertExtend.h \
	ui_CrlDetail.h ui_ExportDialog.h ui_ExportKey.h ui_Help.h \
	ui_ImportMulti.h ui_KeyDetail.h ui_MainWindow.h ui_NewCrl.h \
	ui_NewKey.h ui_NewX509.h ui_Options.h ui_PwDialog.h ui_Revoke.h \
	ui_SelectToken.h ui_TrustState.h ui_v3ext.h

include $(TOPDIR)/Rules.mak

ui: $(UI_H)

=== widgets/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
endif

MOC_NAMES=MainWindow KeyDetail clicklabel XcaTreeView ExportKey NewX509 \
	validity v3ext distname CertDetail CertExtend PwDialog \
	ImportMulti CrlDetail ExportDialog hashBox Options NewKey kvView NewCrl

NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))

include $(TOPDIR)/Rules.mak

ifeq ($(DEP), yes)
  sinclude .depend
endif

=== debian/changelog ===
xca (0.9.1~git7ffc768-2) unstable; urgency=low

  * fix configure script to handle multiarch libraries (Closes: #642823)

 -- Tino Keitel <tino+debian@tikei.de>  Tue, 25 Oct 2011 22:04:33 +0200

xca (0.9.1~git7ffc768-1) unstable; urgency=low

  * build from release.0.9.x upstream branch (Closes: #605141, #615796)
  * add build-indep and build-arch build targets to please lintian
  * bump standards version to 3.9.2

 -- Tino Keitel <tino+debian@tikei.de>  Mon, 04 Jul 2011 10:51:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tino Keitel <tino+debian@tikei.de>
+Maintainer: Tino Keitel <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://xca.sourceforge.net
 Vcs-Git: http://git.hohnstaedt.de/xca.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 
 Local.mak:
 	dh_testdir
-	LDFLAGS=-Bsymbolic-functions docdir=/usr/share/doc/xca prefix=/usr ./configure
+	docdir=/usr/share/doc/xca prefix=/usr ./configure
+
+build-arch: build
+
+build-indep: build
 
 build: build-stamp
 
@@ -17,7 +21,6 @@
 	dh_testroot
 	rm -f build-stamp
 	$(MAKE) distclean
-	rm -f conftest.c
 	dh_clean 
 
 install: build
@@ -49,4 +52,12 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install configure
+UPSTREAMTAG=upstream/0.9.1_git7ffc768
+SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
+UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
+ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz
+
+get-orig-source:
+	git archive --format=tar ${UPSTREAMTAG} --prefix=${SOURCEPKG}_${UPSTREAM}/ | gzip -9 > ../${ORIG}
+
+.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## xca 0.9.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ifeq ($(TOPDIR),)
 TOPDIR=..
+BUILD=..
 endif
 
 DELFILES=xca*.html xca.1.gz
@@ -16,7 +17,8 @@
 	rm -f xca*.html
 	echo '<h1>No documentation generated</h1>' > $@
 	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
-	$(LINUXDOC) -B html $<
+	@$(PRINT) "  DOC    [$(BASENAME)] $@"
+	$(LINUXDOC) -B html $< >/dev/null
 
 install: xca.1.gz xca.html
 	install -m 755 -d $(destdir)$(docdir) \

=== lang/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif
include $(TOPDIR)/Rules.mak

PO_LANGUAGES=es tr fr
LANGUAGES=de ru $(PO_LANGUAGES)
QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))

lang all: $(QM_XCA)

%.qm: %.ts
	@$(PRINT) "  LANG   [$(BASENAME)] $@"
	$(LRELEASE) -silent $< -qm $@

install: $(QM_XCA)
	install -m 755 -d $(destdir)$(prefix)/share/xca
	install -m 644 $(QM_XCA) $(destdir)$(prefix)/share/xca

app:
	mkdir -p $(APPDIR)/Resources
	install -m 644 $(QM_XCA) $(APPDIR)/Resources
	cd $(SYSROOT)/Developer/Applications/Qt/translations && \
	  for x in $(QM_QT); do \
	    test -f "$$x" && install $$x $(APPDIR)/Resources;\
	  done || :

po2ts: $(TS_XCA)
xca_%.ts.xml: %.po
	po2ts -i $< > $(@)

xca_%.ts: indent.xslt xca_%.ts.xml
	xsltproc -o $@ $^

xca.pot: xca.ts
	ts2po -P $< $@

=== debian/changelog ===
xca (0.9.1-1) unstable; urgency=low

  * New upstream version (Closes: #650367)

 -- Tino Keitel <tino+debian@tikei.de>  Sat, 03 Dec 2011 12:27:04 +0100

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 binary: binary-indep binary-arch
 
-UPSTREAMTAG=upstream/0.9.1_git7ffc768
+UPSTREAMTAG=upstream/0.9.1
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
 ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

## xca 0.9.3

=== Makefile ===
--- 
+++ 
@@ -5,19 +5,21 @@
 
 TAG=RELEASE.$(TVERSION)
 TARGET=xca-$(TVERSION)
+MAKEFLAGS += -rR
 
-export TOPDIR=$(shell pwd)
-export VERSION=$(shell cat $(TOPDIR)/VERSION )
-export BUILD=$(TOPDIR)/xca_build
+export BUILD=$(shell pwd)
 
 ifneq ($(MAKECMDGOALS), distclean)
 ifneq ($(MAKECMDGOALS), clean)
-sinclude Local.mak
+ifneq ($(MAKECMDGOALS), dist)
+include Local.mak
+endif
 endif
 endif
 
+VPATH=$(TOPDIR)
 SUBDIRS=lib widgets img
-OBJECTS=$(patsubst %, $(BUILD)/%/.build-stamp, $(SUBDIRS))
+OBJECTS=$(patsubst %, %/.build-stamp, $(SUBDIRS))
 INSTDIR=misc lang doc img
 INSTTARGET=$(patsubst %, install.%, $(INSTDIR))
 APPTARGET=$(patsubst %, app.%, $(INSTDIR))
@@ -41,38 +43,56 @@
 endif
 endif
 
+ifeq ($(MAKECMDGOALS),)
+MAKEFLAGS += -s
+PRINT=echo
+else
+PRINT=:
+endif
+export PRINT
+
+ifneq ($(TOPDIR), $(BUILD))
+do.ui: clean_topdir
+clean_topdir:
+	$(MAKE) -C $(TOPDIR) clean
+endif
 
 xca$(SUFFIX): $(OBJECTS)
+	@$(PRINT) "  LINK   $@"
 	$(CC) $(CFLAGS) $(LDFLAGS) $(patsubst %,@%, $^) $(LIBS) -o $@
 
 do.ui do.doc do.lang: do.%:
-	mkdir -p $(BUILD)/$*
-	$(MAKE) -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*
+	mkdir -p $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile VPATH=$(TOPDIR)/$* $*
 
 headers: do.ui
 
-$(BUILD)/%/.build-stamp: headers
-	mkdir -p $(BUILD)/$*
-	$(MAKE) DEP=yes -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile \
+%/.build-stamp: headers
+	mkdir -p $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$*
 
-$(INSTTARGET): install.%: $(BUILD)/%/.build-stamp
-	mkdir -p $(BUILD)/$*
-	$(MAKE) -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile \
+$(INSTTARGET): install.%: %/.build-stamp
+	mkdir -p $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$* install
 
-$(APPTARGET): app.%: $(BUILD)/%/.build-stamp
-	mkdir -p $(BUILD)/$*
-	$(MAKE) -C $(BUILD)/$* -f $(TOPDIR)/$*/Makefile \
+$(APPTARGET): app.%: %/.build-stamp
+	mkdir -p $*
+	$(MAKE) -C $* -f $(TOPDIR)/$*/Makefile \
 		VPATH=$(TOPDIR)/$* APPDIR=$(APPDIR) app
 
 clean:
-	rm -rf $(BUILD)
-	rm -f *~ xca$(SUFFIX) setup_xca*.exe $(MACTARGET).dmg $(MACTARGET).tar.gz
-	rm -rf $(DMGSTAGE)
+	find lib widgets img -name "*.o" | xargs rm -f
+	find lib widgets img -name ".build-stamp" | xargs rm -f
+	find lib widgets -name "moc_*.cpp" | xargs rm -f
+	rm -f ui/ui_*.h lang/xca_*.qm doc/*.html doc/xca.1.gz img/imgres.cpp
+	rm -f lang/*.xml
+	rm -f *~ xca$(SUFFIX) setup_xca*.exe
+	rm -rf xca-*
 
 distclean: clean
-	rm -f conftest conftest.log local.h Local.mak *~
+	rm -f conftest conftest.log local.h Local.mak *~ */.depend
 
 dist:
 	test ! -z "$(TVERSION)"
@@ -94,11 +114,12 @@
 macdeployqt/macdeployqt:
 	$(MAKE) -C macdeployqt
 
-setup.exe: xca$(SUFFIX) misc/xca.nsi do.doc do.lang
+setup.exe: xca$(SUFFIX) do.doc do.lang
+setup.exe: misc/xca.nsi
 	$(STRIP) xca$(SUFFIX)
 	$(MAKENSIS) -DINSTALLDIR=$(INSTALL_DIR) -DQTDIR=$(QTDIR) \
-		-DVERSION=$(VERSION) -DBDIR=$(BDIR) -DBUILD=$(BUILD) \
-		-NOCD -V2 misc/xca.nsi
+		-DVERSION=$(VERSION) -DBDIR=$(BDIR) -DTOPDIR=$(TOPDIR)\
+		-NOCD -V2 $<
 
 $(DMGSTAGE): xca$(SUFFIX) $(MACDEPLOYQT)
 	rm -rf $(DMGSTAGE)
@@ -106,7 +127,7 @@
 	mkdir -p $(DMGSTAGE)/xca.app/Contents/Resources
 	mkdir -p $(DMGSTAGE)/manual
 	ln -s /Applications $(DMGSTAGE)
-	install -m 644 COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
+	install -m 644 $(TOPDIR)/COPYRIGHT $(DMGSTAGE)/COPYRIGHT.txt
 	install -m 755 xca $(DMGSTAGE)/xca.app/Contents/MacOS
 	$(STRIP) $(DMGSTAGE)/xca.app/Contents/MacOS/xca
 	$(MAKE) $(APPTARGET)
@@ -129,8 +150,8 @@
 
 .PHONY: $(SUBDIRS) $(INSTDIR) xca.app setup.exe doc lang macdeployqt/macdeployqt $(DMGSTAGE)
 
-doc lang headers: local.h
+do.doc do.lang headers: local.h
 
-Local.mak local.h: configure
-	./configure
+Local.mak local.h: $(TOPDIR)/configure
+	$(TOPDIR)/configure

=== doc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 xca.html: xca.sgml
 	rm -f xca*.html
-	echo '<h1>No documentation generated</h1>' > $@
+	echo 'The documentation for XCA can be viewed online at: <a href="http://xca.sourceforge.net/">http://xca.sourceforge.net/</a>.' > $@
 	test ! -f xca-doc.tgz || tar zxf xca-doc.tgz
 	@$(PRINT) "  DOC    [$(BASENAME)] $@"
 	$(LINUXDOC) -B html $< >/dev/null

=== lang/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 app:
 	mkdir -p $(APPDIR)/Resources
 	install -m 644 $(QM_XCA) $(APPDIR)/Resources
-	cd $(SYSROOT)/Developer/Applications/Qt/translations && \
+	cd $(TRANSLATIONS) && \
 	  for x in $(QM_QT); do \
 	    test -f "$$x" && install $$x $(APPDIR)/Resources;\
 	  done || :

=== lib/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
 ifeq ($(TOPDIR),)
 TOPDIR=..
+BUILD=..
 endif
 
 MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base db_token\
@@ -14,10 +15,7 @@
 OBJS=$(patsubst %, %.o, $(NAMES)) $(patsubst %, moc_%.o, $(MOCNAMES))
 
 include $(TOPDIR)/Rules.mak
-
-ifeq ($(DEP), yes)
-  sinclude .depend
-endif
+sinclude .depend
 
 db_dump: db_dump.cpp db.o db.h
 	gcc $(CPPFLAGS) $(LDFLAGS) $(CFLAGS) db_dump.cpp db.o $(LIBS) -g -o $@

=== macdeployqt/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	$(MAKE) -f Makefile.qt
 
 Makefile.qt: macdeployqt.pro
-	$(QMAKE) -o $@ $<
+	$(QMAKE) -spec macx-g++ -o $@ $<
 
 clean:
 	rm -f *.o Makefile.qt macdeployqt

=== misc/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 SRCPATH=$(VPATH)/
 
 all:
+
+include $(TOPDIR)/Rules.mak
 
 install:
 	install -m 755 -d $(destdir)$(prefix)/share/xca/ \
@@ -21,4 +23,3 @@
 	install -m 644 $(SRCPATH)Info.plist $(SRCPATH)PkgInfo $(APPDIR)
 	install -m 644 $(SRCPATH)*.txt $(SRCPATH)*.xca $(APPDIR)/Resources
 
-include $(TOPDIR)/Local.mak

=== widgets/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

MOC_NAMES=MainWindow KeyDetail clicklabel XcaTreeView ExportKey NewX509 \
	validity v3ext distname CertDetail CertExtend PwDialog \
	ImportMulti CrlDetail ExportDialog hashBox Options NewKey kvView \
	NewCrl SearchPkcs11

NAMES=$(MOC_NAMES) NewX509_ext MW_menu MW_help MW_database
OBJS=$(patsubst %,moc_%.o,$(MOC_NAMES)) $(patsubst %,%.o,$(NAMES))

include $(TOPDIR)/Rules.mak
sinclude .depend

=== debian/changelog ===
xca (0.9.3-1ubuntu1) raring; urgency=low

  * Added missing libstdc++ to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 11 Apr 2013 17:34:08 -0400

xca (0.9.3-1) unstable; urgency=low

  * new upstream version
  * remove patch to search in multiarch library path, upstream now uses
    pkg-config
  * add pkg-config to Build-Depends
  * build with hardening flags enabled
  * patch configure script to preserve $CPPFLAGS and $LDFLAGS
  * bump standards version to 3.9.3, no changes needed

 -- Tino Keitel <tino+debian@tikei.de>  Sat, 02 Jun 2012 22:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Tino Keitel <tino+debian@tikei.de>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tino Keitel <tino+debian@tikei.de>
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://xca.sourceforge.net
 Vcs-Git: http://git.hohnstaedt.de/xca.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 configure: Local.mak
 
 Local.mak:
 	dh_testdir
-	docdir=/usr/share/doc/xca prefix=/usr ./configure
+	CF=$(CPPFLAGS) docdir=/usr/share/doc/xca prefix=/usr ./configure
 
 build-arch: build
 
@@ -52,7 +55,7 @@
 
 binary: binary-indep binary-arch
 
-UPSTREAMTAG=upstream/0.9.1
+UPSTREAMTAG=upstream/0.9.3
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
 ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

## xca 1.0.0

=== lang/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/Rules.mak
 
 PO_LANGUAGES=es tr fr
-LANGUAGES=de ru $(PO_LANGUAGES)
+LANGUAGES=de ru hr $(PO_LANGUAGES)
 QM_XCA=$(patsubst %, xca_%.qm, $(LANGUAGES))
 QM_QT=$(patsubst %, qt_%.qm, $(LANGUAGES))
 TS_XCA=$(patsubst %, xca_%.ts, $(PO_LANGUAGES))

=== lib/Makefile ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 MOCNAMES=db_crl db_key db_temp db_x509 db_x509req db_x509super db_base db_token\
 	pki_temp pki_x509 pki_crl pki_x509req pki_key pki_x509super pki_pkcs12 \
-	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7
+	pki_base pki_multi pki_evp pki_scard pass_info pki_pkcs7 main
 NAMES=$(MOCNAMES) asn1int oid x509rev asn1time \
-	x509v3ext func load_obj main x509name db import \
+	x509v3ext func load_obj x509name db import \
 	pk11_attribute pkcs11 pkcs11_lib Passwd

=== ui/Makefile ===

ifeq ($(TOPDIR),)
TOPDIR=..
BUILD=..
endif

UI_H = ui_About.h ui_CaProperties.h ui_CertDetail.h ui_CertExtend.h \
	ui_CrlDetail.h ui_ExportDialog.h ui_ExportKey.h ui_Help.h \
	ui_ImportMulti.h ui_KeyDetail.h ui_MainWindow.h ui_NewCrl.h \
	ui_NewKey.h ui_NewX509.h ui_Options.h ui_PwDialog.h ui_Revoke.h \
	ui_SelectToken.h ui_TrustState.h ui_v3ext.h ui_SearchPkcs11.h

include $(TOPDIR)/Rules.mak

ui: $(UI_H)

=== debian/changelog ===
xca (1.0.0-2) unstable; urgency=medium

  * RedHat Bug #1164340 - segfault when viewing a RHEL entitlement certificate
    (Closes: #770091)

 -- Tino Mettler <tino+debian@tikei.de>  Tue, 18 Nov 2014 22:09:55 +0100

xca (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #758440)
  * Fix undefined reference to symbol '__cxa_free_exception@@CXXABI_1.3'
    Thanks to YunQiang Su <wzssyqa@gmail.com> (Closes: #713672, #762419)
  * Show all build commands during build to fix a lintian warning
  * Use DEB_REF instead of UPSTREAM_REF for git based patch creation
  * Update maintainer name

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 23 Oct 2014 11:59:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xca
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tino Keitel <tino+debian@tikei.de>
+Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.2), libssl-dev, linuxdoc-tools, libltdl-dev, pkg-config, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
 Homepage: http://xca.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 build: build-stamp
 
 build-stamp: Local.mak
-	$(MAKE)
+	$(MAKE) all
 	touch $@
 
 clean:
@@ -55,7 +55,7 @@
 
 binary: binary-indep binary-arch
 
-UPSTREAMTAG=upstream/0.9.3
+UPSTREAMTAG=upstream/1.0.0
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
 ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz
